#pragma once

extern int glas_sread(int n, float *x_d);
extern int glas_smset(int n, float val, float *y_d);
extern int glas_scopy(int n, float *x_d, int incx, float *y_d, int incy);
extern int glas_sswap(int n, float *x_d, int incx, float *y_d, int incy);
extern int glas_sscal(int n, float alpha, float *x_d, int incx);
extern int glas_saxpy(int n, float alpha, float *x_d, int incx, float *y_d, int incy);
extern int glas_samax(int n, float *x_d, int incx, float *y_d);
extern int glas_isamax(int n, float *x_d, int incx, int *y_d);
extern int glas_sasum(int n, float *x_d, int incx, float *y_d);
extern int glas_sdot(int n, float *x_d, int incx, float *y_d, int incy, float *z_d);
extern int glas_srot(int n, float *x_d, int incx, float *y_d, int incy, float c, float s);
extern int glas_snrm2(int n, float *x_d, int incx, float *y_d);
extern int glas_sgemv(char trans, int m, int n, float alpha, float *A_d, int lda, float *x_d, int incx, float beta, float *y_d, int incy);
extern int glas_strsv(char uplo, char trans, char diag, int m, float *A_d, int lda, float *x_d, int incx, float *work);
