#!/bin/bash
atune_path=`pwd`

cp ${atune_path}/src/atune_headers/*.h ../glas/src/atune_headers/.
cp ${atune_path}/src/defines.h ../glas/src/.
cp ${atune_path}/src/dense.h ../glas/src/.
cp ${atune_path}/src/atomicOperations.h ../glas/src/.
cp ${atune_path}/src/level1_templatemacros.h ../glas/src/.
cp ${atune_path}/src/level2_templatemacros.h ../glas/src/.

cp ${atune_path}/src/sread/sread.cu ../glas/src/.
cp ${atune_path}/src/sread/sread_kernels.cu ../glas/src/.
cp ${atune_path}/src/sread/sread_macros.h ../glas/src/.

cp ${atune_path}/src/smset/smset.cu ../glas/src/.
cp ${atune_path}/src/smset/smset_kernels.cu ../glas/src/.
cp ${atune_path}/src/smset/smset_macros.h ../glas/src/.

cp ${atune_path}/src/scopy/scopy.cu ../glas/src/.
cp ${atune_path}/src/scopy/scopy_kernels.cu ../glas/src/.
cp ${atune_path}/src/scopy/scopy_macros.h ../glas/src/.

cp ${atune_path}/src/sswap/sswap.cu ../glas/src/.
cp ${atune_path}/src/sswap/sswap_kernels.cu ../glas/src/.
cp ${atune_path}/src/sswap/sswap_macros.h ../glas/src/.

cp ${atune_path}/src/sscal/sscal.cu ../glas/src/.
cp ${atune_path}/src/sscal/sscal_kernels.cu ../glas/src/.
cp ${atune_path}/src/sscal/sscal_macros.h ../glas/src/.

cp ${atune_path}/src/saxpy/saxpy.cu ../glas/src/.
cp ${atune_path}/src/saxpy/saxpy_kernels.cu ../glas/src/.
cp ${atune_path}/src/saxpy/saxpy_macros.h ../glas/src/.

cp ${atune_path}/src/samax/samax.cu ../glas/src/.
cp ${atune_path}/src/samax/samax_kernels.cu ../glas/src/.
cp ${atune_path}/src/samax/samax_macros.h ../glas/src/.

cp ${atune_path}/src/isamax/isamax.cu ../glas/src/.
cp ${atune_path}/src/isamax/isamax_kernels.cu ../glas/src/.
cp ${atune_path}/src/isamax/isamax_macros.h ../glas/src/.

cp ${atune_path}/src/sasum/sasum.cu ../glas/src/.
cp ${atune_path}/src/sasum/sasum_kernels.cu ../glas/src/.
cp ${atune_path}/src/sasum/sasum_macros.h ../glas/src/.

cp ${atune_path}/src/sdot/sdot.cu ../glas/src/.
cp ${atune_path}/src/sdot/sdot_kernels.cu ../glas/src/.
cp ${atune_path}/src/sdot/sdot_macros.h ../glas/src/.

cp ${atune_path}/src/srot/srot.cu ../glas/src/.
cp ${atune_path}/src/srot/srot_kernels.cu ../glas/src/.
cp ${atune_path}/src/srot/srot_macros.h ../glas/src/.

cp ${atune_path}/src/snrm2/snrm2.cu ../glas/src/.
cp ${atune_path}/src/snrm2/snrm2_kernels.cu ../glas/src/.
cp ${atune_path}/src/snrm2/snrm2_macros.h ../glas/src/.

cp ${atune_path}/src/sgemv_col_major/sgemv_col_major.cu ../glas/src/.
cp ${atune_path}/src/sgemv_col_major/sgemv_col_major_kernels.cu ../glas/src/.
cp ${atune_path}/src/sgemv_col_major/sgemv_col_major_macros.h ../glas/src/.

cp ${atune_path}/src/sgemv_row_major/sgemv_row_major.cu ../glas/src/.
cp ${atune_path}/src/sgemv_row_major/sgemv_row_major_kernels.cu ../glas/src/.
cp ${atune_path}/src/sgemv_row_major/sgemv_row_major_macros.h ../glas/src/.

cp ${atune_path}/src/strsv_col_major/strsv_col_major.cu ../glas/src/.
cp ${atune_path}/src/strsv_col_major/strsv_col_major_kernels.cu ../glas/src/.
cp ${atune_path}/src/strsv_col_major/strsv_col_major_kernelmacros.h ../glas/src/.
cp ${atune_path}/src/strsv_col_major/strsv_col_major_templatemacros.h ../glas/src/.

cp ${atune_path}/update_glas.sh ../glas/.
#cd ../glas; make clean; make
cd ../glas; make
cd ${atune_path}
